BLK_FETCH_REQUEST(9)

NAME
blk_fetch_request - fetch a request from a request queue

SYNOPSIS

struct request * blk_fetch_request(struct request_queue * q);

ARGUMENTS

q
    request queue to fetch a request from

DESCRIPTION

Return the request at the top of q. The request is started on return and LLD can start processing it immediately.

RETURN

Pointer to the request at the top of q if available. Null otherwise.

CONTEXT

queue_lock must be held.

COPYRIGHT